Mail::MtPolicyd::Plugin::Eval(3pm)

NAME
Mail::MtPolicyd::Plugin::Eval - mtpolicyd plugin to capture the output of plugins

VERSION
version 2.05

DESCRIPTION
This plugin executes a list of configured plugins but will not return the action back to mtpolicyd. Instead it writes the output of the plugins to a variable within the session.

PARAMETERS

store_in (required)
    The name of the key in the session to store the result of the eval'ed checks.

Plugin (required)
    A list of checks to execute.

EXAMPLE
  <Plugin eval-spf>
    module = "Eval"
    # store result in spf_action
    store_in="spf_action"
    <Plugin proxy-spf>
      module = "Proxy"
      host = "localhost:10023"
    </Plugin>
  </Plugin>

AUTHOR
Markus Benning <ich@markusbenning.de>

COPYRIGHT AND LICENSE
This software is Copyright (c) 2014 by Markus Benning <ich@markusbenning.de>.

This is free software, licensed under:

  The GNU General Public License, Version 2, June 1991